Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class AuthorityBinding

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.AuthorityBinding`

public class AuthorityBinding
extends oracle.security.xmlsec.util.XMLElement

Element used to indicate that a SAML authority may be available to provide additional information about the subject of the statement.

Field Summary
`static java.lang.String` | `ATTRIBUTE_QUERY` `AuthorityKind` value specifying that the relying party would respond to this kind of query: "AttributeQuery".
`static java.lang.String` | `AUTHENTICATION_QUERY` `AuthorityKind` value specifying that the relying party would respond to this kind of query: "samlp:AuthenticationQuery".
`static java.lang.String` | `AUTHORIZATION_DECISION_QUERY` `AuthorityKind` value specifying that the relying party would respond to this kind of query: "samlp:AuthorizationDecisionQuery".

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthorityBinding(org.w3c.dom.Document owner)` Creates a new `AuthorityBinding` instance.
`AuthorityBinding(org.w3c.dom.Element element)` Creates a new `AuthorityBinding` instance from the given Element node.
`AuthorityBinding(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `AuthorityBinding` instance from the given Element node.

Method Summary
`java.lang.String` | `getAuthorityKind()` Deprecated. Use getAuthorityKindValue instead.
`oracle.security.xmlsec.util.QName` | `getAuthorityKindValue()` Gets the authority kind of this `AuthorityBinding` element.
`java.lang.String` | `getBinding()` Gets the SAML protocol to use when communicating with the authority.
`java.lang.String` | `getLocation()` Gets the location of the authority describing the location and how to communicate with the authority.
`void` | `setAuthorityKind(java.lang.String localValue, java.lang.String namespace)` Deprecated. Use setAuthorityKindValue instead.
`void` | `setAuthorityKindValue(oracle.security.xmlsec.util.QName qname)` Sets authoriy kind that specifies the type of SAML protocol queries to which the authority described by this element will respond.
`void` | `setBinding(java.lang.String uri)` Sets the SAML protocol binding to use when communicating with the authority.
`void` | `setLocation(java.lang.String uri)` Sets the location of the authority.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_QUERY

    public static final java.lang.String ATTRIBUTE_QUERY

  `AuthorityKind` value specifying that the relying party would respond to this kind of query: "AttributeQuery".
  See Also:
    Constant Field Values

### AUTHENTICATION_QUERY

    public static final java.lang.String AUTHENTICATION_QUERY

  `AuthorityKind` value specifying that the relying party would respond to this kind of query: "samlp:AuthenticationQuery".
  See Also:
    Constant Field Values

### AUTHORIZATION_DECISION_QUERY

    public static final java.lang.String AUTHORIZATION_DECISION_QUERY

  `AuthorityKind` value specifying that the relying party would respond to this kind of query: "samlp:AuthorizationDecisionQuery".
  See Also:
    Constant Field Values

Constructor Detail

### AuthorityBinding

    public AuthorityBinding(org.w3c.dom.Element element)
                     throws org.w3c.dom.DOMException

  Creates a new `AuthorityBinding` instance from the given Element node.
Parameters:
  `element` - An AuthorityBinding element.

### AuthorityBinding

    public AuthorityBinding(org.w3c.dom.Element element,
                            java.lang.String SystemId)
                     throws org.w3c.dom.DOMException

  Creates a new `AuthorityBinding` instance from the given Element node.
Parameters:
  `element` - An AuthorityBinding element.

### AuthorityBinding

    public AuthorityBinding(org.w3c.dom.Document owner)
                     throws org.w3c.dom.DOMException

  Creates a new `AuthorityBinding` instance.
Parameters:
  `owner` - The owner document of the new AuthorityBinding.

Method Detail

### setAuthorityKind

    public void setAuthorityKind(java.lang.String localValue,
                                 java.lang.String namespace)

  Deprecated. Use setAuthorityKindValue instead.
  Sets authoriy kind that specifies the type of SAML protocol queries to which the authority described by this element will respond. AuthorityKind attribute values are XML QNames.
  Parameters:
    `localValue` - The local name of the QName value of the Query.
    `namespace` - The namespace for the extension type of the SAML QUery as specified in the xsi:type attribute. If this parameter is not specified the SAML Protocol namespace is assumed.

### getAuthorityKind

    public java.lang.String getAuthorityKind()

  Deprecated. Use getAuthorityKindValue instead.
  Gets the authority kind of this `AuthorityBinding` element.
  Returns:
    A QName representing the authority kind.

### setAuthorityKindValue

    public void setAuthorityKindValue(oracle.security.xmlsec.util.QName qname)

  Sets authoriy kind that specifies the type of SAML protocol queries to which the authority described by this element will respond. AuthorityKind attribute values are XML QNames.
  Parameters:
    `qname` - The QName value of the Query.

### getAuthorityKindValue

    public oracle.security.xmlsec.util.QName getAuthorityKindValue()

  Gets the authority kind of this `AuthorityBinding` element.
  Returns:
    A QName representing the authority kind.

### setLocation

    public void setLocation(java.lang.String uri)

  Sets the location of the authority.
  Parameters:
    `uri` - A `URI` describing how to locate and communicate with the authority.

### getLocation

    public java.lang.String getLocation()

  Gets the location of the authority describing the location and how to communicate with the authority.
  Returns:
    A String representing a `URI`

### setBinding

    public void setBinding(java.lang.String uri)

  Sets the SAML protocol binding to use when communicating with the authority.
  Parameters:
    `uri` - A `URI` defining the SAML protocol to use.

### getBinding

    public java.lang.String getBinding()

  Gets the SAML protocol to use when communicating with the authority.
  Returns:
    A String representing a URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.